Help save net neutrality! Learn more.
Close

#20 Unable to compile sources on Ubuntu

closed-fixed
Compilation (2)
5
2015-04-12
2013-07-21
Jan Rudolph
No

Unable to compile on Ubuntu 64Bit:
Following the README running

cmake -DNO_PYTHON=1 .
make

yields the following error (cmake runs fine):

/usr/bin/ld: CMakeFiles/canorus.dir/core/archive.cpp.o: undefined reference to symbol 'inflateInit2_'
/usr/bin/ld: note: 'inflateInit2_' is defined in DSO /lib/x86_64-linux-gnu/libz.so.1 so try adding it to the linker command line

libz-dev version is 1:1.2.7.dfsg-13ubuntu2

Discussion

  • Georg Rudolph

    Georg Rudolph - 2013-07-22

    This patch does it for me, on OpenSuse 12.3 32bit, and mentioning the pthread library is needed too:

    --- src/CMakeLists.txt (Revision 1367)
    +++ src/CMakeLists.txt (Arbeitskopie)
    @@ -620,7 +620,7 @@
    # command. Never remove that line :-)
    # Add ${QT_QTTEST_LIBRARY} below to add the Qt Test library as well
    # Add ${POPPLERQT4_LIBRARY} ${POPPLER_LIBRARY} to reactivate poppler libraries
    -TARGET_LINK_LIBRARIES(canorus ${QT_LIBRARIES} ${RUBY_LIBRARY} ${PYTHON_LIBRARY} )
    +TARGET_LINK_LIBRARIES(canorus ${QT_LIBRARIES} ${RUBY_LIBRARY} ${PYTHON_LIBRARY} z pthread )
    # Duma leads to a crash on libfontconfig with Ubuntu (10.04/12.04)
    # duma )

    Does this make it compile for you?
    Georg

     
  • Matevž Jekovec

    Matevž Jekovec - 2013-07-23

    Hi Georg.

    Can you commit this to SVN. Please add a comment in CMakeLists.txt that
    z and pthreads are needed for Suse-based distributions.

    Regards.
    -Matevž

    On 22.07.2013 18:58, Georg Rudolph wrote:

    This patch does it for me, on OpenSuse 12.3 32bit, and mentioning the
    pthread library is needed too:

    --- src/CMakeLists.txt (Revision 1367)
    +++ src/CMakeLists.txt (Arbeitskopie)
    @@ -620,7 +620,7 @@
    # command. Never remove that line :-)
    # Add ${QT_QTTEST_LIBRARY} below to add the Qt Test library as well
    # Add ${POPPLERQT4_LIBRARY} ${POPPLER_LIBRARY} to reactivate poppler
    libraries
    -TARGET_LINK_LIBRARIES(canorus ${QT_LIBRARIES} ${RUBY_LIBRARY}
    ${PYTHON_LIBRARY} )
    +TARGET_LINK_LIBRARIES(canorus ${QT_LIBRARIES} ${RUBY_LIBRARY}
    ${PYTHON_LIBRARY} z pthread )
    # Duma leads to a crash on libfontconfig with Ubuntu (10.04/12.04)
    # duma )

    Does this make it compile for you?
    Georg


    UNABLE TO COMPILE SOURCES ON UBUNTU

    STATUS: open
    LABELS: Compilation
    CREATED: Sun Jul 21, 2013 08:57 PM UTC by Jan Rudolph
    LAST UPDATED: Sun Jul 21, 2013 08:57 PM UTC
    OWNER: nobody

    UNABLE TO COMPILE ON UBUNTU 64BIT:
    Following the README running

    cmake -DNO_PYTHON=1 .
    make

    yields the following error (cmake runs fine):

    /usr/bin/ld: CMakeFiles/canorus.dir/core/archive.cpp.o: undefined
    reference to symbol 'inflateInit2_'
    /usr/bin/ld: note: 'inflateInit2_' is defined in DSO
    /lib/x86_64-linux-gnu/libz.so.1 so try adding it to the linker
    command
    line

    libz-dev version is 1:1.2.7.dfsg-13ubuntu2

    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/canorus/bugs/20/ [1]

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/ [2]

    [1] https://sourceforge.net/p/canorus/bugs/20/
    [2] https://sourceforge.net/auth/subscriptions/

     
  • Reinhard Katzmann

    Bug was fixed some time ago. The fix is included in 0.7.2rc1.

     
  • Reinhard Katzmann

    • status: open --> closed-fixed
    • assigned_to: Reinhard Katzmann
     

Log in to post a comment.